org.apache.cassandra.index.sasi.sa

## Class SA<T extends java.nio.Buffer>

- java.lang.Object
- - org.apache.cassandra.index.sasi.sa.SA<T>

Direct Known Subclasses:
  IntegralSA, SuffixSA

    public abstract class SA<T extends java.nio.Buffer>
    extends java.lang.Object

### Field Summary

Fields
`protected int` `charCount`
`protected AbstractType<?>` `comparator`
`protected OnDiskIndexBuilder.Mode` `mode`
`protected java.util.List<Term<T>>` `terms`

### Constructor Summary

Constructors
Constructor and Description
`SA(AbstractType<?> comparator, OnDiskIndexBuilder.Mode mode)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `add(java.nio.ByteBuffer termValue, TokenTreeBuilder tokens)`
`abstract TermIterator` `finish()`
`OnDiskIndexBuilder.Mode` `getMode()`
`protected abstract Term<T>` `getTerm(java.nio.ByteBuffer termValue, TokenTreeBuilder tokens)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### comparator

    protected final AbstractType<?> comparator

#### mode

    protected final OnDiskIndexBuilder.Mode mode

#### terms

    protected final java.util.List<Term<T extends java.nio.Buffer>> terms

#### charCount

    protected int charCount

### Constructor Detail

#### SA

    public SA(AbstractType<?> comparator,
              OnDiskIndexBuilder.Mode mode)

### Method Detail

#### getMode

    public OnDiskIndexBuilder.Mode getMode()

#### add

    public void add(java.nio.ByteBuffer termValue,
                    TokenTreeBuilder tokens)

#### finish

    public abstract TermIterator finish()

#### getTerm

    protected abstract Term<T> getTerm(java.nio.ByteBuffer termValue,
                                       TokenTreeBuilder tokens)